body{
    background: #F5F6F6 !important;
}

/*.woocommerce-form.woocommerce-form-login.login{*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    width: 480px;*/
/*}*/

/*.woocommerce-form.woocommerce-form-login.login p{*/
/*    width: 100%;*/
/*}*/

.woocommerce{
    display: flex;
    justify-content: center;
    flex-direction: column !important;
    height: 100vh;
}

.woocommerce-notices-wrapper{
    display: flex;
    justify-content: center;
}

.woocommerce-error{
    border: 1px solid #cccccc;
    width: 500px;
    border-radius: 10px;
    margin-bottom: 20px;
}

#primary{
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.myaccount-auth-logo{
    position: absolute;
    top: 20px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    left: 50%;
    transform: translateX(-50%);
}

/* Login Page Css */
#customer_login{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
}

.login_page .login-main-container{
   width: 480px;
   padding: 30px;
   border: 1px solid #cccccc;
   border-radius: 10px;
   background: white;
}

.login_heading{
    font-size: 24px;
    font-family: Inter;
    font-weight: 700;
    color: #003D29;
    margin-bottom: 20px !important;
}

.login_page .woocommerce-form.woocommerce-form-login.login{
    border: none;
    padding: 0;
    margin: 0
}

.form-label{
    font-family: Inter;
    font-weight: 400 !important;
    font-size: 14px !important;
    color: #333333 !important;
    padding-bottom: 8px;
    line-height: 120% !important;
}

.login_page .woocommerce-form.woocommerce-form-login.login{
    display: flex !important;
    flex-direction: column;
    gap: 20px;
}

.login_page .woocommerce-form-row.woocommerce-form-row--wide.form-row.form-row-wide{
    display: flex !important;
    flex-direction: column;
    margin-bottom: 0 !important;
    padding: 0 !important;
}

.login_page .woocommerce-Input.woocommerce-Input--text.input-text{
    border-radius: 10px;
    border: 1px solid #cccccc !important;
}

.woocommerce-button.button.woocommerce-form-login__submit{
    width: 100%;
}

.login_page .woocommerce-button.button.woocommerce-form-login__submit,
.login_page .woocommerce-Button.woocommerce-button.button.woocommerce-form-register__submit
{
    background: #003D29 !important;
    width: 100%;
    border-radius: 10px !important;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: Eina01-SemiBold;
}

.login_page  .woocommerce-button.button.woocommerce-form-login__submit:hover{
    background: #002F20 !important;

}

.login_page .woocommerce-Button.woocommerce-button.button.woocommerce-form-register__submit:hover{
    background: #002F20 !important;
}

.login_page .woocommerce-form-login__rememberme{
	display: none !important;
}

.login_page .form-row{
    padding: 0 !important;
}

.login_page .password-label-wrap .woocommerce-LostPassword.lost_password a{
    text-decoration: underline; 
}

.login_page .woocommerce-LostPassword.lost_password,
.login_page .woocommerce-LostPassword.lost_password a,
.login_page .dont-have-account
{
    text-align: center;
    font-size: 14px;
    font-family: Inter;
    color: #333333;
    margin-bottom: 0 !important;
}

.footer-content-login, .footer-content-signup{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 20px;
    border-top: 1px solid #cccccc;
    order: 2 !important;
}

.sign-up-link, .login-link{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 13px 22px 13px 20px;
    border: 1px solid #cccccc;
    border-radius: 10px;
    margin-bottom: 0 !important;
    cursor: pointer;
    height: 40px !important;
}

.sign-up-link:hover{
    background: #F5F6F6 !important;
}
.login-link:hover{
    background: #F5F6F6 !important;
}

.sign-up-link a, .login-link a{
    font-size: 14px;
    font-family: Eina01-SemiBold;
    color: black;
}

/* // registration */
.login_page .login-main-container{
    display: block !important;
}

.login_page .woocommerce-form.woocommerce-form-register.register{
    padding: 0 !important;
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 0 !important;
    border-radius: 10px !important;
    border: none !important
}

.login_page input{
    height: 40px !important;
    font-size: 16px !important;
    font-family: Inter;
    font-weight: 400 !important;
    color: black !important;
}

/* Default: hide register */
.u-column2.col-2 {
	display: none !important;
    border: 1px solid #cccccc;
    border-radius: 10px;
    padding: 30px !important;
    background: white !important;
    width: 480px !important;
}

/* When signup clicked */
body.show-register .login-main-container {
	display: none !important;
}

body.show-register .u-column2.col-2 {
	display: block !important;
}


.password-error {
    color: red;
	margin-bottom: 15px;
}

.woocommerce-privacy-policy-text, wc-order-attribution-inputs{
    display: none !important;
}

.login_page .woocommerce-form.woocommerce-form-login.login p.form-row
{
    margin-bottom: 0 !important;
}

/*Sign In Option CSS*/
div.nsl-container .nsl-container-buttons{
    padding: 0 !important;
}

#nsl-custom-login-form-1 .nsl-separator{
    margin: 0 !important;
}

#nsl-custom-login-form-1,
#nsl-custom-login-form-2    
{
    order: 1 !important;
    margin-top: 0 !important;
}

#nsl-custom-login-form-1 .nsl-container-woocommerce-login-layout-below,
#nsl-custom-login-form-2 .nsl-container-woocommerce-register-layout-below
{
    padding-top: 0 !important;
}

.nsl-button.nsl-button-default.nsl-button-facebook
{
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    height: 40px !important;
    background: #fff !important;
    box-shadow: unset !important;
    border: 1px solid #cccccc !important;
    color: #000 !important;
    margin-bottom: 10px;
}

.nsl-button.nsl-button-default.nsl-button-google
{
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    height: 40px !important;
    border: 1px solid #cccccc !important;
    box-shadow: unset !important;
    color: #000 !important;
}

.nsl-button.nsl-button-default.nsl-button-google:hover{
    background: #F5F6F6 !important;
}

.nsl-button.nsl-button-default.nsl-button-facebook:hover{
     background: #F5F6F6 !important;
}

.nsl-button-label-container{
    flex: none !important;
    font-family: Eina01-SemiBold !important;
    margin: 0 !important;
}

.nsl-button-label-container b{
    font-weight: 600 !important;
}

.nsl-container-buttons{
    gap: 20px;
}

.nsl-container-buttons a{
    margin: 0 !important;
}

.nsl-clear{
    display: none;
}


.password-label-wrap{
    display: flex;
    justify-content: space-between;
    /*align-items: center;*/
    /*margin-bottom: 6px;*/
}

/*Divider Line*/

.or-divider{
    display: flex;
    align-items: center;
    text-align: center;
    margin: 0;
}

.or-divider::before,
.or-divider::after{
    content: "";
    flex: 1;
    border-bottom: 1px solid #cccccc;
}

.or-divider span{
    padding: 0 15px;
    font-size: 14px;
    color: #000;
    text-transform: lowercase; /* remove if not needed */
}

.status .woocommerce{
    display: flex;
    justify-content: center;
    align-items: center;
}

/*.status-publish .woocommerce .woocommerce-form-login.login{*/
/*    display: flex !important;*/
/*    flex-direction: column;*/
/*    gap: 20px;*/
/*    justify-content: center;*/
/*    align-items: center;*/
/*    width: 480px;*/
/*}*/

/*.status-publish .woocommerce .woocommerce-form-login.login .lost_password{*/
/*    text-align: center;*/
/*}*/

/*.status-publish .woocommerce .woocommerce-form-login.login p{*/
/*    width: 100%;*/
/*}*/

/*.status-publish .woocommerce .woocommerce-form-login.login .nsl-custom-login-form-1{*/
/*    width: 100%;*/
/*}*/

@media(max-width: 768px){
    .status-publish .woocommerce .woocommerce-form-login.login{
        margin: 0 !important;
    }
}

/* Resposiveness*/
@media (max-width: 420px){
    .sign-up-link{
       padding: 10px 15px;
    }
    
    .footer-content-signup{
        flex-direction: column;
        gap: 15px
    }
}

